## Graph editor dialog

Graph editor dialog

## Functions

GtkWidget * | gog_guru ()
void | gog_guru_add_custom_widget ()
GtkWidget * | gog_guru_get_help_button ()

## Description

## Functions

### gog_guru ()

    GtkWidget *
    gog_guru (GogGraph *graph,
              GogDataAllocator *dalloc,
              GOCmdContext *cc,
              GClosure *closure);

CHANGED 0.5.3 : drop the `toplevel` window argument and have the callers handle widget_show and set_transient

#### Parameters

graph | the graph to edit |
dalloc | The data allocator to use for editing |
cc | Where to report errors |
closure | GClosure |

#### Returns

the dialog, and shows new graph guru.

[transfer full]

### gog_guru_add_custom_widget ()

    void
    gog_guru_add_custom_widget (GtkWidget *guru,
                                GtkWidget *custom);

### gog_guru_get_help_button ()

    GtkWidget *
    gog_guru_get_help_button (GtkWidget *guru);

Quick utility to allow application specific help. Required until we clean up the relationship between goffice and gnumeric to decide which parts of the help live where.

#### Parameters

guru | GtkWidget (the result of gog_guru). |

#### Returns

GtkWidget associated with the gurus help button.

[transfer none]